Recommended update for python-six

SUSE Recommended Update: Recommended update for python-six
Announcement ID: SUSE-RU-2020:1069-1
Rating: moderate
References: #1166139
Affected Products:
  • SUSE Linux Enterprise Module for Python2 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for python-six fixes the following issues:

  • Use setuptools for building to support pip 10.x and avoid packages to be unistalled. (bsc#1166139)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Python2 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Python2-15-SP1-2020-1069=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1069=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-1069=1

Package List:

  • SUSE Linux Enterprise Module for Python2 15-SP1 (noarch):
    • python2-six-1.11.0-4.3.2
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • python-six-doc-1.11.0-4.3.2
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (noarch):
    • python3-six-1.11.0-4.3.2

References: